'''
Input data for modeling test
'''

from cvrptw_optimization.src.desrochers_et_all_1988_helpers import convert_dictionary_to_pandas

solver_time_limit_minutes = 2

vehicles = {'Vehicle 1': {'CAPACITY': 20,
                          'HELPER_COST_PER_HELPER_PER_ROUTE': 1200,
                          'MAXIMUM_SOLO_TRAVEL_HOURS': 12,
                          'MAXIMUM_TEAM_TRAVEL_HOURS': 20,
                          'TEAM': 'select',
                          'HELPER': 'select',
                          'TEAM_COST_PER_TEAM_PER_ROUTE': 2000,
                          'TRANS_COST_PER_MINUTE': 5,
                          'TYPE': '48 FOOTER TRUCK'}}

depot = {'Depot': {'NUMBER_OF_CLUSTERS': 65,
  'LATITUDE': 40.7084185,
  'LONGITUDE': -111.87917100000001}}


locations = {'Loc 1': {'LATITUDE': 40.72209,
  'LONGITUDE': -111.54077,
  'TW_START_MINUTES': 720.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 6': {'LATITUDE': 40.92062,
  'LONGITUDE': -111.88716,
  'TW_START_MINUTES': 540.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 2': {'LATITUDE': 40.72522,
  'LONGITUDE': -111.88781000000002,
  'TW_START_MINUTES': 660.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 3': {'LATITUDE': 40.7296,
  'LONGITUDE': -111.90002,
  'TW_START_MINUTES': 390.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 4': {'LATITUDE': 40.58741,
  'LONGITUDE': -111.93574,
  'TW_START_MINUTES': 420.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 5': {'LATITUDE': 40.75673,
  'LONGITUDE': -111.89763,
  'TW_START_MINUTES': 360.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 7': {'LATITUDE': 40.69623,
  'LONGITUDE': -111.95839,
  'TW_START_MINUTES': 600.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 8': {'LATITUDE': 40.68737,
  'LONGITUDE': -111.86603,
  'TW_START_MINUTES': 480.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 9': {'LATITUDE': 40.76742,
  'LONGITUDE': -111.89142,
  'TW_START_MINUTES': 360.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 'Loc 10': {'LATITUDE': 40.98588,
  'LONGITUDE': -111.90886,
  'TW_START_MINUTES': 540.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '20321': {'LATITUDE': 40.88444000000001,
  'LONGITUDE': -111.89048,
  'TW_START_MINUTES': 480.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '21313': {'LATITUDE': 40.55148,
  'LONGITUDE': -112.29746000000002,
  'TW_START_MINUTES': 720.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '27118': {'LATITUDE': 40.58846,
  'LONGITUDE': -111.89264,
  'TW_START_MINUTES': 480.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '50326': {'LATITUDE': 40.62337,
  'LONGITUDE': -111.83381,
  'TW_START_MINUTES': 360.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '5329': {'LATITUDE': 40.73869000000001,
  'LONGITUDE': -111.8254,
  'TW_START_MINUTES': 630.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '5890': {'LATITUDE': 40.62103,
  'LONGITUDE': -111.85644,
  'TW_START_MINUTES': 480.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '6611': {'LATITUDE': 40.65783,
  'LONGITUDE': -111.50694,
  'TW_START_MINUTES': 720.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '6835': {'LATITUDE': 40.65951,
  'LONGITUDE': -111.88782,
  'TW_START_MINUTES': 540.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '8932': {'LATITUDE': 40.70575,
  'LONGITUDE': -112.02445,
  'TW_START_MINUTES': 660.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1},
 '8967': {'LATITUDE': 40.55924,
  'LONGITUDE': -111.89415,
  'TW_START_MINUTES': 480.0,
  'TW_END_MINUTES': 1679.0,
  'STOP_TIME_WH_HELPER': 27,
  'STOP_TIME_W_HELPER': 21,
  'DEMAND': 1}}

transportation_matrix = {('Depot', 'Depot'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Depot', 'Loc 1'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 22.653295586692842,
  'HAVERSINE_DISTANCE': 20.76552095446844},
 ('Depot', 'Loc 6'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 18.722419140761975,
  'HAVERSINE_DISTANCE': 17.162217545698475},
 ('Depot', 'Loc 2'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 1.5903370525481537,
  'HAVERSINE_DISTANCE': 1.4578089648358075},
 ('Depot', 'Loc 3'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 2.330639180106003,
  'HAVERSINE_DISTANCE': 2.1364192484305025},
 ('Depot', 'Loc 4'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 11.323602796840651,
  'HAVERSINE_DISTANCE': 10.379969230437265},
 ('Depot', 'Loc 5'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 4.435756970275785,
  'HAVERSINE_DISTANCE': 4.066110556086136},
 ('Depot', 'Loc 7'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 5.40458560663215,
  'HAVERSINE_DISTANCE': 4.954203472746138},
 ('Depot', 'Loc 8'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 2.053794792386123,
  'HAVERSINE_DISTANCE': 1.8826452263539462},
 ('Depot', 'Loc 9'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 5.267542755859373,
  'HAVERSINE_DISTANCE': 4.828580859537759},
 ('Depot', 'Loc 10'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 24.550370863133715,
  'HAVERSINE_DISTANCE': 22.50450662453924},
 ('Depot', '20321'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 15.542328902646258,
  'HAVERSINE_DISTANCE': 14.247134827425736},
 ('Depot', '21313'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 31.23168378393345,
  'HAVERSINE_DISTANCE': 28.629043468605662},
 ('Depot', '27118'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 10.617897288817582,
  'HAVERSINE_DISTANCE': 9.73307251474945},
 ('Depot', '50326'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 8.091309700437261,
  'HAVERSINE_DISTANCE': 7.417033892067489},
 ('Depot', '5329'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 4.477098702610554,
  'HAVERSINE_DISTANCE': 4.1040071440596755},
 ('Depot', '5890'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 7.855695530628725,
  'HAVERSINE_DISTANCE': 7.201054236409664},
 ('Depot', '6611'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 25.291266804519697,
  'HAVERSINE_DISTANCE': 23.18366123747639},
 ('Depot', '6835'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 4.352030376446319,
  'HAVERSINE_DISTANCE': 3.9893611784091254},
 ('Depot', '8932'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 9.715552708036364,
  'HAVERSINE_DISTANCE': 8.9059233157},
 ('Depot', '8967'): {'FROM_LATITUDE': 40.7084185,
  'FROM_LONGITUDE': -111.87917100000001,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 13.194736572283036,
  'HAVERSINE_DISTANCE': 12.095175191259449},
 ('Loc 1', 'Depot'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 22.653295586692842,
  'HAVERSINE_DISTANCE': 20.76552095446844},
 ('Loc 1', 'Loc 1'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 1', 'Loc 6'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 40.22,
  'HAVERSINE_DISTANCE': 26.58367204621094},
 ('Loc 1', 'Loc 2'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 26.35,
  'HAVERSINE_DISTANCE': 21.264276605753324},
 ('Loc 1', 'Loc 3'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 28.4,
  'HAVERSINE_DISTANCE': 22.018511565832753},
 ('Loc 1', 'Loc 4'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 38.08,
  'HAVERSINE_DISTANCE': 26.558846613963325},
 ('Loc 1', 'Loc 5'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 29.15,
  'HAVERSINE_DISTANCE': 22.037909208754375},
 ('Loc 1', 'Loc 7'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 31.94,
  'HAVERSINE_DISTANCE': 25.67794416049851},
 ('Loc 1', 'Loc 8'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 30.81,
  'HAVERSINE_DISTANCE': 20.130650309039993},
 ('Loc 1', 'Loc 9'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 37.7,
  'HAVERSINE_DISTANCE': 21.78754712725016},
 ('Loc 1', 'Loc 10'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 48.13,
  'HAVERSINE_DISTANCE': 31.00664821641891},
 ('Loc 1', '20321'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 38.17,
  'HAVERSINE_DISTANCE': 25.104907154345277},
 ('Loc 1', '21313'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 62.62,
  'HAVERSINE_DISTANCE': 48.427605091003116},
 ('Loc 1', '27118'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 37.74,
  'HAVERSINE_DISTANCE': 24.13381396572127},
 ('Loc 1', '50326'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 29.69,
  'HAVERSINE_DISTANCE': 19.66070910024434},
 ('Loc 1', '5329'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 23.79,
  'HAVERSINE_DISTANCE': 17.4887816624558},
 ('Loc 1', '5890'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 32.52,
  'HAVERSINE_DISTANCE': 21.009549510583284},
 ('Loc 1', '6611'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 11.7,
  'HAVERSINE_DISTANCE': 5.593662933603473},
 ('Loc 1', '6835'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 33.87,
  'HAVERSINE_DISTANCE': 21.86717798709278},
 ('Loc 1', '8932'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 35.73,
  'HAVERSINE_DISTANCE': 29.668297277779562},
 ('Loc 1', '8967'): {'FROM_LATITUDE': 40.72209,
  'FROM_LONGITUDE': -111.54077,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 37.65,
  'HAVERSINE_DISTANCE': 25.362819211730358},
 ('Loc 6', 'Depot'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 18.722419140761975,
  'HAVERSINE_DISTANCE': 17.162217545698475},
 ('Loc 6', 'Loc 1'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 41.37,
  'HAVERSINE_DISTANCE': 26.58367204621094},
 ('Loc 6', 'Loc 6'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 6', 'Loc 2'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 20.34,
  'HAVERSINE_DISTANCE': 15.797001757387594},
 ('Loc 6', 'Loc 3'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 20.14,
  'HAVERSINE_DISTANCE': 15.462880323105066},
 ('Loc 6', 'Loc 4'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 29.69,
  'HAVERSINE_DISTANCE': 27.10187492682621},
 ('Loc 6', 'Loc 5'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 19.45,
  'HAVERSINE_DISTANCE': 13.26501801404842},
 ('Loc 6', 'Loc 7'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 20.8,
  'HAVERSINE_DISTANCE': 18.656896590932316},
 ('Loc 6', 'Loc 8'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 25.39,
  'HAVERSINE_DISTANCE': 18.901184805661348},
 ('Loc 6', 'Loc 9'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 22.8,
  'HAVERSINE_DISTANCE': 12.388067474007995},
 ('Loc 6', 'Loc 10'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 11.73,
  'HAVERSINE_DISTANCE': 5.439714022471354},
 ('Loc 6', '20321'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 8.77,
  'HAVERSINE_DISTANCE': 2.9319688630210505},
 ('Loc 6', '21313'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 47.75,
  'HAVERSINE_DISTANCE': 39.01669476544788},
 ('Loc 6', '27118'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 29.35,
  'HAVERSINE_DISTANCE': 26.855297988415202},
 ('Loc 6', '50326'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 28.61,
  'HAVERSINE_DISTANCE': 24.251895549724235},
 ('Loc 6', '5329'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 26.48,
  'HAVERSINE_DISTANCE': 15.185436402321729},
 ('Loc 6', '5890'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 28.8,
  'HAVERSINE_DISTANCE': 24.29302597975707},
 ('Loc 6', '6611'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 48.64,
  'HAVERSINE_DISTANCE': 31.51138696814391},
 ('Loc 6', '6835'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 25.48,
  'HAVERSINE_DISTANCE': 21.10926107122073},
 ('Loc 6', '8932'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 25.22,
  'HAVERSINE_DISTANCE': 19.29548764316132},
 ('Loc 6', '8967'): {'FROM_LATITUDE': 40.92062,
  'FROM_LONGITUDE': -111.88716,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 29.26,
  'HAVERSINE_DISTANCE': 29.218605072300324},
 ('Loc 2', 'Depot'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 1.5903370525481537,
  'HAVERSINE_DISTANCE': 1.4578089648358075},
 ('Loc 2', 'Loc 1'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 26.39,
  'HAVERSINE_DISTANCE': 21.264276605753324},
 ('Loc 2', 'Loc 6'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 18.57,
  'HAVERSINE_DISTANCE': 15.797001757387594},
 ('Loc 2', 'Loc 2'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 2', 'Loc 3'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 4.47,
  'HAVERSINE_DISTANCE': 0.827627194444434},
 ('Loc 2', 'Loc 4'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 16.06,
  'HAVERSINE_DISTANCE': 11.522416703468826},
 ('Loc 2', 'Loc 5'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 7.5,
  'HAVERSINE_DISTANCE': 2.6174518839994776},
 ('Loc 2', 'Loc 7'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 9.92,
  'HAVERSINE_DISTANCE': 4.919368891129228},
 ('Loc 2', 'Loc 8'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 10.42,
  'HAVERSINE_DISTANCE': 3.3384068685781343},
 ('Loc 2', 'Loc 9'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 12.7,
  'HAVERSINE_DISTANCE': 3.4187815308942824},
 ('Loc 2', 'Loc 10'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 26.48,
  'HAVERSINE_DISTANCE': 21.11211608082043},
 ('Loc 2', '20321'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 16.52,
  'HAVERSINE_DISTANCE': 12.873046398883263},
 ('Loc 2', '21313'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 40.65,
  'HAVERSINE_DISTANCE': 28.789749048384127},
 ('Loc 2', '27118'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 15.72,
  'HAVERSINE_DISTANCE': 11.060216931064975},
 ('Loc 2', '50326'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 14.99,
  'HAVERSINE_DISTANCE': 8.874737884115799},
 ('Loc 2', '5329'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 11.51,
  'HAVERSINE_DISTANCE': 3.975378134119248},
 ('Loc 2', '5890'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 15.17,
  'HAVERSINE_DISTANCE': 8.639979818996549},
 ('Loc 2', '6611'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 33.67,
  'HAVERSINE_DISTANCE': 23.97399737632355},
 ('Loc 2', '6835'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 11.86,
  'HAVERSINE_DISTANCE': 5.312270745121775},
 ('Loc 2', '8932'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 13.72,
  'HAVERSINE_DISTANCE': 8.51948892085292},
 ('Loc 2', '8967'): {'FROM_LATITUDE': 40.72522,
  'FROM_LONGITUDE': -111.88781000000002,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 15.63,
  'HAVERSINE_DISTANCE': 13.424151095485716},
 ('Loc 3', 'Depot'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 2.330639180106003,
  'HAVERSINE_DISTANCE': 2.1364192484305025},
 ('Loc 3', 'Loc 1'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 30.41,
  'HAVERSINE_DISTANCE': 22.018511565832753},
 ('Loc 3', 'Loc 6'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 17.5,
  'HAVERSINE_DISTANCE': 15.462880323105066},
 ('Loc 3', 'Loc 2'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 5.45,
  'HAVERSINE_DISTANCE': 0.827627194444434},
 ('Loc 3', 'Loc 3'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 3', 'Loc 4'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 16.35,
  'HAVERSINE_DISTANCE': 11.702111212429681},
 ('Loc 3', 'Loc 5'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 6.44,
  'HAVERSINE_DISTANCE': 2.1981823554300295},
 ('Loc 3', 'Loc 7'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 10.32,
  'HAVERSINE_DISTANCE': 4.480155880715303},
 ('Loc 3', 'Loc 8'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 14.44,
  'HAVERSINE_DISTANCE': 3.9993313812460567},
 ('Loc 3', 'Loc 9'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 14.99,
  'HAVERSINE_DISTANCE': 3.102563375260581},
 ('Loc 3', 'Loc 10'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 25.41,
  'HAVERSINE_DISTANCE': 20.725794615075486},
 ('Loc 3', '20321'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 15.45,
  'HAVERSINE_DISTANCE': 12.53151671177386},
 ('Loc 3', '21313'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 39.9,
  'HAVERSINE_DISTANCE': 28.31599626711522},
 ('Loc 3', '27118'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 16.01,
  'HAVERSINE_DISTANCE': 11.41931976342196},
 ('Loc 3', '50326'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 15.28,
  'HAVERSINE_DISTANCE': 9.499185405365306},
 ('Loc 3', '5329'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 15.53,
  'HAVERSINE_DISTANCE': 4.629863364778198},
 ('Loc 3', '5890'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 15.46,
  'HAVERSINE_DISTANCE': 9.174962953038392},
 ('Loc 3', '6611'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 37.69,
  'HAVERSINE_DISTANCE': 24.783182600602153},
 ('Loc 3', '6835'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 12.15,
  'HAVERSINE_DISTANCE': 5.715500450181474},
 ('Loc 3', '8932'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 14.12,
  'HAVERSINE_DISTANCE': 7.8644077166935435},
 ('Loc 3', '8967'): {'FROM_LATITUDE': 40.7296,
  'FROM_LONGITUDE': -111.90002,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 15.92,
  'HAVERSINE_DISTANCE': 13.777319755503276},
 ('Loc 4', 'Depot'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 11.323602796840651,
  'HAVERSINE_DISTANCE': 10.379969230437265},
 ('Loc 4', 'Loc 1'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 38.3,
  'HAVERSINE_DISTANCE': 26.558846613963325},
 ('Loc 4', 'Loc 6'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 30.0,
  'HAVERSINE_DISTANCE': 27.10187492682621},
 ('Loc 4', 'Loc 2'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 18.01,
  'HAVERSINE_DISTANCE': 11.522416703468826},
 ('Loc 4', 'Loc 3'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 18.11,
  'HAVERSINE_DISTANCE': 11.702111212429681},
 ('Loc 4', 'Loc 4'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 4', 'Loc 5'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 18.93,
  'HAVERSINE_DISTANCE': 13.886557747658673},
 ('Loc 4', 'Loc 7'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 16.74,
  'HAVERSINE_DISTANCE': 8.906509869347818},
 ('Loc 4', 'Loc 8'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 19.66,
  'HAVERSINE_DISTANCE': 9.143016213269641},
 ('Loc 4', 'Loc 9'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 27.48,
  'HAVERSINE_DISTANCE': 14.804278559655438},
 ('Loc 4', 'Loc 10'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 37.9,
  'HAVERSINE_DISTANCE': 32.2559690011474},
 ('Loc 4', '20321'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 27.94,
  'HAVERSINE_DISTANCE': 24.1726698168595},
 ('Loc 4', '21313'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 51.74,
  'HAVERSINE_DISTANCE': 22.40257809328485},
 ('Loc 4', '27118'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 8.48,
  'HAVERSINE_DISTANCE': 2.647431372558352},
 ('Loc 4', '50326'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 15.51,
  'HAVERSINE_DISTANCE': 6.89869315856765},
 ('Loc 4', '5329'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 23.86,
  'HAVERSINE_DISTANCE': 13.977192064861008},
 ('Loc 4', '5890'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 15.7,
  'HAVERSINE_DISTANCE': 5.57480000182223},
 ('Loc 4', '6611'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 45.58,
  'HAVERSINE_DISTANCE': 26.920796184466013},
 ('Loc 4', '6835'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 14.09,
  'HAVERSINE_DISTANCE': 6.528534304193241},
 ('Loc 4', '8932'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 24.82,
  'HAVERSINE_DISTANCE': 11.00630930079573},
 ('Loc 4', '8967'): {'FROM_LATITUDE': 40.58741,
  'FROM_LONGITUDE': -111.93574,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 8.97,
  'HAVERSINE_DISTANCE': 3.421839476125999},
 ('Loc 5', 'Depot'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 4.435756970275785,
  'HAVERSINE_DISTANCE': 4.066110556086136},
 ('Loc 5', 'Loc 1'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 31.3,
  'HAVERSINE_DISTANCE': 22.037909208754375},
 ('Loc 5', 'Loc 6'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 18.6,
  'HAVERSINE_DISTANCE': 13.26501801404842},
 ('Loc 5', 'Loc 2'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 10.0,
  'HAVERSINE_DISTANCE': 2.6174518839994776},
 ('Loc 5', 'Loc 3'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 9.94,
  'HAVERSINE_DISTANCE': 2.1981823554300295},
 ('Loc 5', 'Loc 4'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 19.72,
  'HAVERSINE_DISTANCE': 13.886557747658673},
 ('Loc 5', 'Loc 5'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 5', 'Loc 7'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 13.01,
  'HAVERSINE_DISTANCE': 6.1465377500126515},
 ('Loc 5', 'Loc 8'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 15.32,
  'HAVERSINE_DISTANCE': 5.9322050478398385},
 ('Loc 5', 'Loc 9'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 9.37,
  'HAVERSINE_DISTANCE': 0.9441830565214153},
 ('Loc 5', 'Loc 10'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 26.51,
  'HAVERSINE_DISTANCE': 18.53815885621782},
 ('Loc 5', '20321'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 16.55,
  'HAVERSINE_DISTANCE': 10.33387200991932},
 ('Loc 5', '21313'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 39.66,
  'HAVERSINE_DISTANCE': 29.60910167599003},
 ('Loc 5', '27118'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 19.37,
  'HAVERSINE_DISTANCE': 13.607089634148316},
 ('Loc 5', '50326'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 18.64,
  'HAVERSINE_DISTANCE': 11.46922425637986},
 ('Loc 5', '5329'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 16.16,
  'HAVERSINE_DISTANCE': 4.658061221414186},
 ('Loc 5', '5890'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 18.83,
  'HAVERSINE_DISTANCE': 11.257380521680375},
 ('Loc 5', '6611'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 38.57,
  'HAVERSINE_DISTANCE': 25.24275627047119},
 ('Loc 5', '6835'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 15.51,
  'HAVERSINE_DISTANCE': 7.882629671909738},
 ('Loc 5', '8932'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 16.81,
  'HAVERSINE_DISTANCE': 8.794736541482562},
 ('Loc 5', '8967'): {'FROM_LATITUDE': 40.75673,
  'FROM_LONGITUDE': -111.89763,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 19.28,
  'HAVERSINE_DISTANCE': 15.967342464229274},
 ('Loc 7', 'Depot'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 5.40458560663215,
  'HAVERSINE_DISTANCE': 4.954203472746138},
 ('Loc 7', 'Loc 1'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 31.53,
  'HAVERSINE_DISTANCE': 25.67794416049851},
 ('Loc 7', 'Loc 6'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 20.05,
  'HAVERSINE_DISTANCE': 18.656896590932316},
 ('Loc 7', 'Loc 2'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 10.51,
  'HAVERSINE_DISTANCE': 4.919368891129228},
 ('Loc 7', 'Loc 3'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 12.5,
  'HAVERSINE_DISTANCE': 4.480155880715303},
 ('Loc 7', 'Loc 4'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 15.75,
  'HAVERSINE_DISTANCE': 8.906509869347818},
 ('Loc 7', 'Loc 5'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 10.76,
  'HAVERSINE_DISTANCE': 6.1465377500126515},
 ('Loc 7', 'Loc 7'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 7', 'Loc 8'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 15.56,
  'HAVERSINE_DISTANCE': 5.706640696190445},
 ('Loc 7', 'Loc 9'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 19.31,
  'HAVERSINE_DISTANCE': 7.067914280025755},
 ('Loc 7', 'Loc 10'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 27.96,
  'HAVERSINE_DISTANCE': 23.611644059620257},
 ('Loc 7', '20321'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 18.0,
  'HAVERSINE_DISTANCE': 15.773214430633791},
 ('Loc 7', '21313'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 39.76,
  'HAVERSINE_DISTANCE': 23.8707490783127},
 ('Loc 7', '27118'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 15.41,
  'HAVERSINE_DISTANCE': 9.600880578183075},
 ('Loc 7', '50326'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 13.54,
  'HAVERSINE_DISTANCE': 9.647198597082165},
 ('Loc 7', '5329'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 16.65,
  'HAVERSINE_DISTANCE': 8.842392486722979},
 ('Loc 7', '5890'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 13.72,
  'HAVERSINE_DISTANCE': 8.72086380154335},
 ('Loc 7', '6611'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 38.81,
  'HAVERSINE_DISTANCE': 27.852760571275066},
 ('Loc 7', '6835'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 13.36,
  'HAVERSINE_DISTANCE': 5.247200796863914},
 ('Loc 7', '8932'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 12.61,
  'HAVERSINE_DISTANCE': 4.121307181972308},
 ('Loc 7', '8967'): {'FROM_LATITUDE': 40.69623,
  'FROM_LONGITUDE': -111.95839,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 15.32,
  'HAVERSINE_DISTANCE': 11.755349060031394},
 ('Loc 8', 'Depot'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 2.053794792386123,
  'HAVERSINE_DISTANCE': 1.8826452263539462},
 ('Loc 8', 'Loc 1'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 29.68,
  'HAVERSINE_DISTANCE': 20.130650309039993},
 ('Loc 8', 'Loc 6'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 25.3,
  'HAVERSINE_DISTANCE': 18.901184805661348},
 ('Loc 8', 'Loc 2'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 11.43,
  'HAVERSINE_DISTANCE': 3.3384068685781343},
 ('Loc 8', 'Loc 3'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 13.48,
  'HAVERSINE_DISTANCE': 3.9993313812460567},
 ('Loc 8', 'Loc 4'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 18.43,
  'HAVERSINE_DISTANCE': 9.143016213269641},
 ('Loc 8', 'Loc 5'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 14.23,
  'HAVERSINE_DISTANCE': 5.9322050478398385},
 ('Loc 8', 'Loc 7'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 17.01,
  'HAVERSINE_DISTANCE': 5.706640696190445},
 ('Loc 8', 'Loc 8'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 8', 'Loc 9'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 22.78,
  'HAVERSINE_DISTANCE': 6.6558978487442175},
 ('Loc 8', 'Loc 10'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 33.21,
  'HAVERSINE_DISTANCE': 24.27456493826997},
 ('Loc 8', '20321'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 23.25,
  'HAVERSINE_DISTANCE': 16.002102178816056},
 ('Loc 8', '21313'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 47.7,
  'HAVERSINE_DISTANCE': 28.663454780088546},
 ('Loc 8', '27118'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 18.08,
  'HAVERSINE_DISTANCE': 8.16123233336863},
 ('Loc 8', '50326'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 15.33,
  'HAVERSINE_DISTANCE': 5.538552852076528},
 ('Loc 8', '5329'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 14.8,
  'HAVERSINE_DISTANCE': 4.838640795672516},
 ('Loc 8', '5890'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 16.51,
  'HAVERSINE_DISTANCE': 5.395359083545674},
 ('Loc 8', '6611'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 36.96,
  'HAVERSINE_DISTANCE': 22.147061799350332},
 ('Loc 8', '6835'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 8.98,
  'HAVERSINE_DISTANCE': 2.6187763482397357},
 ('Loc 8', '8932'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 20.81,
  'HAVERSINE_DISTANCE': 9.823214156541754},
 ('Loc 8', '8967'): {'FROM_LATITUDE': 40.68737,
  'FROM_LONGITUDE': -111.86603,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 17.99,
  'HAVERSINE_DISTANCE': 10.501291452016838},
 ('Loc 9', 'Depot'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 5.267542755859373,
  'HAVERSINE_DISTANCE': 4.828580859537759},
 ('Loc 9', 'Loc 1'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 37.35,
  'HAVERSINE_DISTANCE': 21.78754712725016},
 ('Loc 9', 'Loc 6'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 20.91,
  'HAVERSINE_DISTANCE': 12.388067474007995},
 ('Loc 9', 'Loc 2'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 14.27,
  'HAVERSINE_DISTANCE': 3.4187815308942824},
 ('Loc 9', 'Loc 3'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 15.83,
  'HAVERSINE_DISTANCE': 3.102563375260581},
 ('Loc 9', 'Loc 4'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 25.67,
  'HAVERSINE_DISTANCE': 14.804278559655438},
 ('Loc 9', 'Loc 5'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 9.76,
  'HAVERSINE_DISTANCE': 0.9441830565214153},
 ('Loc 9', 'Loc 7'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 18.7,
  'HAVERSINE_DISTANCE': 7.067914280025755},
 ('Loc 9', 'Loc 8'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 21.38,
  'HAVERSINE_DISTANCE': 6.6558978487442175},
 ('Loc 9', 'Loc 9'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 9', 'Loc 10'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 28.82,
  'HAVERSINE_DISTANCE': 17.693364208207438},
 ('Loc 9', '20321'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 18.86,
  'HAVERSINE_DISTANCE': 9.460560071785933},
 ('Loc 9', '21313'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 45.09,
  'HAVERSINE_DISTANCE': 30.411380605238353},
 ('Loc 9', '27118'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 25.33,
  'HAVERSINE_DISTANCE': 14.468066833944384},
 ('Loc 9', '50326'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 24.6,
  'HAVERSINE_DISTANCE': 12.169201146199999},
 ('Loc 9', '5329'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 18.77,
  'HAVERSINE_DISTANCE': 4.662842915636363},
 ('Loc 9', '5890'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 24.78,
  'HAVERSINE_DISTANCE': 12.027439407740916},
 ('Loc 9', '6611'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 44.63,
  'HAVERSINE_DISTANCE': 25.17131091977218},
 ('Loc 9', '6835'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 21.47,
  'HAVERSINE_DISTANCE': 8.72668362166257},
 ('Loc 9', '8932'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 22.99,
  'HAVERSINE_DISTANCE': 9.553189637492565},
 ('Loc 9', '8967'): {'FROM_LATITUDE': 40.76742,
  'FROM_LONGITUDE': -111.89142,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 25.24,
  'HAVERSINE_DISTANCE': 16.83097290890184},
 ('Loc 10', 'Depot'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 24.550370863133715,
  'HAVERSINE_DISTANCE': 22.50450662453924},
 ('Loc 10', 'Loc 1'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 47.88,
  'HAVERSINE_DISTANCE': 31.00664821641891},
 ('Loc 10', 'Loc 6'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 12.18,
  'HAVERSINE_DISTANCE': 5.439714022471354},
 ('Loc 10', 'Loc 2'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 26.85,
  'HAVERSINE_DISTANCE': 21.11211608082043},
 ('Loc 10', 'Loc 3'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 26.65,
  'HAVERSINE_DISTANCE': 20.725794615075486},
 ('Loc 10', 'Loc 4'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 36.21,
  'HAVERSINE_DISTANCE': 32.2559690011474},
 ('Loc 10', 'Loc 5'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 25.96,
  'HAVERSINE_DISTANCE': 18.53815885621782},
 ('Loc 10', 'Loc 7'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 27.31,
  'HAVERSINE_DISTANCE': 23.611644059620257},
 ('Loc 10', 'Loc 8'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 31.91,
  'HAVERSINE_DISTANCE': 24.27456493826997},
 ('Loc 10', 'Loc 9'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 29.31,
  'HAVERSINE_DISTANCE': 17.693364208207438},
 ('Loc 10', 'Loc 10'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('Loc 10', '20321'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 15.29,
  'HAVERSINE_DISTANCE': 8.277303443363852},
 ('Loc 10', '21313'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 54.26,
  'HAVERSINE_DISTANCE': 42.419587028903244},
 ('Loc 10', '27118'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 35.86,
  'HAVERSINE_DISTANCE': 32.14442796602731},
 ('Loc 10', '50326'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 35.13,
  'HAVERSINE_DISTANCE': 29.664488757742564},
 ('Loc 10', '5329'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 33.0,
  'HAVERSINE_DISTANCE': 20.625081626235794},
 ('Loc 10', '5890'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 35.31,
  'HAVERSINE_DISTANCE': 29.669919680583003},
 ('Loc 10', '6611'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 55.16,
  'HAVERSINE_DISTANCE': 36.165802825875915},
 ('Loc 10', '6835'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 32.0,
  'HAVERSINE_DISTANCE': 26.416491373896786},
 ('Loc 10', '8932'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 31.74,
  'HAVERSINE_DISTANCE': 23.72451212659166},
 ('Loc 10', '8967'): {'FROM_LATITUDE': 40.98588,
  'FROM_LONGITUDE': -111.90886,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 35.77,
  'HAVERSINE_DISTANCE': 34.503114290074286},
 ('20321', 'Depot'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 15.542328902646258,
  'HAVERSINE_DISTANCE': 14.247134827425736},
 ('20321', 'Loc 1'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 38.81,
  'HAVERSINE_DISTANCE': 25.104907154345277},
 ('20321', 'Loc 6'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 6.07,
  'HAVERSINE_DISTANCE': 2.9319688630210505},
 ('20321', 'Loc 2'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 17.78,
  'HAVERSINE_DISTANCE': 12.873046398883263},
 ('20321', 'Loc 3'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 17.58,
  'HAVERSINE_DISTANCE': 12.53151671177386},
 ('20321', 'Loc 4'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 27.14,
  'HAVERSINE_DISTANCE': 24.1726698168595},
 ('20321', 'Loc 5'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 16.89,
  'HAVERSINE_DISTANCE': 10.33387200991932},
 ('20321', 'Loc 7'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 18.24,
  'HAVERSINE_DISTANCE': 15.773214430633791},
 ('20321', 'Loc 8'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 22.84,
  'HAVERSINE_DISTANCE': 16.002102178816056},
 ('20321', 'Loc 9'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 20.24,
  'HAVERSINE_DISTANCE': 9.460560071785933},
 ('20321', 'Loc 10'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 13.98,
  'HAVERSINE_DISTANCE': 8.277303443363852},
 ('20321', '20321'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('20321', '21313'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 45.19,
  'HAVERSINE_DISTANCE': 36.69384508621322},
 ('20321', '27118'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 26.79,
  'HAVERSINE_DISTANCE': 23.928624609322068},
 ('20321', '50326'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 26.06,
  'HAVERSINE_DISTANCE': 21.389420210628145},
 ('20321', '5329'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 23.93,
  'HAVERSINE_DISTANCE': 12.437732691994755},
 ('20321', '5890'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 26.24,
  'HAVERSINE_DISTANCE': 21.396959942053687},
 ('20321', '6611'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 46.09,
  'HAVERSINE_DISTANCE': 29.783261355226546},
 ('20321', '6835'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 22.93,
  'HAVERSINE_DISTANCE': 18.18500943230254},
 ('20321', '8932'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 22.67,
  'HAVERSINE_DISTANCE': 16.61077966238486},
 ('20321', '8967'): {'FROM_LATITUDE': 40.88444000000001,
  'FROM_LONGITUDE': -111.89048,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 26.7,
  'HAVERSINE_DISTANCE': 26.291487167609983},
 ('21313', 'Depot'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 31.23168378393345,
  'HAVERSINE_DISTANCE': 28.629043468605662},
 ('21313', 'Loc 1'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 59.9,
  'HAVERSINE_DISTANCE': 48.427605091003116},
 ('21313', 'Loc 6'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 44.32,
  'HAVERSINE_DISTANCE': 39.01669476544788},
 ('21313', 'Loc 2'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 38.87,
  'HAVERSINE_DISTANCE': 28.789749048384127},
 ('21313', 'Loc 3'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 39.16,
  'HAVERSINE_DISTANCE': 28.31599626711522},
 ('21313', 'Loc 4'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 48.31,
  'HAVERSINE_DISTANCE': 22.40257809328485},
 ('21313', 'Loc 5'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 35.31,
  'HAVERSINE_DISTANCE': 29.60910167599003},
 ('21313', 'Loc 7'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 36.18,
  'HAVERSINE_DISTANCE': 23.8707490783127},
 ('21313', 'Loc 8'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 43.93,
  'HAVERSINE_DISTANCE': 28.663454780088546},
 ('21313', 'Loc 9'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 43.86,
  'HAVERSINE_DISTANCE': 30.411380605238353},
 ('21313', 'Loc 10'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 52.23,
  'HAVERSINE_DISTANCE': 42.419587028903244},
 ('21313', '20321'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 42.27,
  'HAVERSINE_DISTANCE': 36.69384508621322},
 ('21313', '21313'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('21313', '27118'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 47.96,
  'HAVERSINE_DISTANCE': 25.039182613588977},
 ('21313', '50326'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 46.11,
  'HAVERSINE_DISTANCE': 29.05264544971301},
 ('21313', '5329'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 45.02,
  'HAVERSINE_DISTANCE': 32.67341658562751},
 ('21313', '5890'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 46.3,
  'HAVERSINE_DISTANCE': 27.65415836562625},
 ('21313', '6611'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 67.18,
  'HAVERSINE_DISTANCE': 49.27652578646768},
 ('21313', '6835'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 44.1,
  'HAVERSINE_DISTANCE': 26.61636085083031},
 ('21313', '8932'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 32.89,
  'HAVERSINE_DISTANCE': 20.883931958621876},
 ('21313', '8967'): {'FROM_LATITUDE': 40.55148,
  'FROM_LONGITUDE': -112.29746000000002,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 47.87,
  'HAVERSINE_DISTANCE': 24.7806863519287},
 ('27118', 'Depot'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 10.617897288817582,
  'HAVERSINE_DISTANCE': 9.73307251474945},
 ('27118', 'Loc 1'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 33.96,
  'HAVERSINE_DISTANCE': 24.13381396572127},
 ('27118', 'Loc 6'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 25.66,
  'HAVERSINE_DISTANCE': 26.855297988415202},
 ('27118', 'Loc 2'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 13.67,
  'HAVERSINE_DISTANCE': 11.060216931064975},
 ('27118', 'Loc 3'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 13.77,
  'HAVERSINE_DISTANCE': 11.41931976342196},
 ('27118', 'Loc 4'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 6.37,
  'HAVERSINE_DISTANCE': 2.647431372558352},
 ('27118', 'Loc 5'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 14.59,
  'HAVERSINE_DISTANCE': 13.607089634148316},
 ('27118', 'Loc 7'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 13.75,
  'HAVERSINE_DISTANCE': 9.600880578183075},
 ('27118', 'Loc 8'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 15.32,
  'HAVERSINE_DISTANCE': 8.16123233336863},
 ('27118', 'Loc 9'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 23.14,
  'HAVERSINE_DISTANCE': 14.468066833944384},
 ('27118', 'Loc 10'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 33.57,
  'HAVERSINE_DISTANCE': 32.14442796602731},
 ('27118', '20321'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 23.61,
  'HAVERSINE_DISTANCE': 23.928624609322068},
 ('27118', '21313'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 48.06,
  'HAVERSINE_DISTANCE': 25.039182613588977},
 ('27118', '27118'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('27118', '50326'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 11.18,
  'HAVERSINE_DISTANCE': 4.582929826119163},
 ('27118', '5329'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 19.53,
  'HAVERSINE_DISTANCE': 12.826110950321569},
 ('27118', '5890'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 11.36,
  'HAVERSINE_DISTANCE': 3.4452871167122883},
 ('27118', '6611'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 41.24,
  'HAVERSINE_DISTANCE': 24.322451978696105},
 ('27118', '6835'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 9.75,
  'HAVERSINE_DISTANCE': 5.751587875094565},
 ('27118', '8932'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 21.24,
  'HAVERSINE_DISTANCE': 12.461213698584828},
 ('27118', '8967'): {'FROM_LATITUDE': 40.58846,
  'FROM_LONGITUDE': -111.89264,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 6.64,
  'HAVERSINE_DISTANCE': 2.3640858897121206},
 ('50326', 'Depot'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 8.091309700437261,
  'HAVERSINE_DISTANCE': 7.417033892067489},
 ('50326', 'Loc 1'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 27.65,
  'HAVERSINE_DISTANCE': 19.66070910024434},
 ('50326', 'Loc 6'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 27.18,
  'HAVERSINE_DISTANCE': 24.251895549724235},
 ('50326', 'Loc 2'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 15.19,
  'HAVERSINE_DISTANCE': 8.874737884115799},
 ('50326', 'Loc 3'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 15.29,
  'HAVERSINE_DISTANCE': 9.499185405365306},
 ('50326', 'Loc 4'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 15.41,
  'HAVERSINE_DISTANCE': 6.89869315856765},
 ('50326', 'Loc 5'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 16.11,
  'HAVERSINE_DISTANCE': 11.46922425637986},
 ('50326', 'Loc 7'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 14.4,
  'HAVERSINE_DISTANCE': 9.647198597082165},
 ('50326', 'Loc 8'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 14.97,
  'HAVERSINE_DISTANCE': 5.538552852076528},
 ('50326', 'Loc 9'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 24.66,
  'HAVERSINE_DISTANCE': 12.169201146199999},
 ('50326', 'Loc 10'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 35.09,
  'HAVERSINE_DISTANCE': 29.664488757742564},
 ('50326', '20321'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 25.13,
  'HAVERSINE_DISTANCE': 21.389420210628145},
 ('50326', '21313'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 49.4,
  'HAVERSINE_DISTANCE': 29.05264544971301},
 ('50326', '27118'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 15.07,
  'HAVERSINE_DISTANCE': 4.582929826119163},
 ('50326', '50326'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('50326', '5329'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 13.21,
  'HAVERSINE_DISTANCE': 9.337196884565925},
 ('50326', '5890'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 7.53,
  'HAVERSINE_DISTANCE': 1.401454838365717},
 ('50326', '6611'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 34.93,
  'HAVERSINE_DISTANCE': 20.24454928864122},
 ('50326', '6835'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 11.27,
  'HAVERSINE_DISTANCE': 4.4174444843877945},
 ('50326', '8932'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 22.48,
  'HAVERSINE_DISTANCE': 13.454618335772565},
 ('50326', '8967'): {'FROM_LATITUDE': 40.62337,
  'FROM_LONGITUDE': -111.83381,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 14.98,
  'HAVERSINE_DISTANCE': 6.371918230903501},
 ('5329', 'Depot'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 4.477098702610554,
  'HAVERSINE_DISTANCE': 4.1040071440596755},
 ('5329', 'Loc 1'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 24.82,
  'HAVERSINE_DISTANCE': 17.4887816624558},
 ('5329', 'Loc 6'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 25.53,
  'HAVERSINE_DISTANCE': 15.185436402321729},
 ('5329', 'Loc 2'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 11.65,
  'HAVERSINE_DISTANCE': 3.975378134119248},
 ('5329', 'Loc 3'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 13.71,
  'HAVERSINE_DISTANCE': 4.629863364778198},
 ('5329', 'Loc 4'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 23.39,
  'HAVERSINE_DISTANCE': 13.977192064861008},
 ('5329', 'Loc 5'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 14.46,
  'HAVERSINE_DISTANCE': 4.658061221414186},
 ('5329', 'Loc 7'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 17.24,
  'HAVERSINE_DISTANCE': 8.842392486722979},
 ('5329', 'Loc 8'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 16.12,
  'HAVERSINE_DISTANCE': 4.838640795672516},
 ('5329', 'Loc 9'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 19.23,
  'HAVERSINE_DISTANCE': 4.662842915636363},
 ('5329', 'Loc 10'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 33.43,
  'HAVERSINE_DISTANCE': 20.625081626235794},
 ('5329', '20321'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 23.48,
  'HAVERSINE_DISTANCE': 12.437732691994755},
 ('5329', '21313'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 47.92,
  'HAVERSINE_DISTANCE': 32.67341658562751},
 ('5329', '27118'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 23.04,
  'HAVERSINE_DISTANCE': 12.826110950321569},
 ('5329', '50326'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 15.43,
  'HAVERSINE_DISTANCE': 9.337196884565925},
 ('5329', '5329'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('5329', '5890'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 18.25,
  'HAVERSINE_DISTANCE': 9.700623142055479},
 ('5329', '6611'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 32.1,
  'HAVERSINE_DISTANCE': 20.58470679339564},
 ('5329', '6835'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 19.18,
  'HAVERSINE_DISTANCE': 7.457398080965655},
 ('5329', '8932'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 21.04,
  'HAVERSINE_DISTANCE': 12.48320240295647},
 ('5329', '8967'): {'FROM_LATITUDE': 40.73869000000001,
  'FROM_LONGITUDE': -111.8254,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 22.95,
  'HAVERSINE_DISTANCE': 15.10794267714493},
 ('5890', 'Depot'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 7.855695530628725,
  'HAVERSINE_DISTANCE': 7.201054236409664},
 ('5890', 'Loc 1'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 30.6,
  'HAVERSINE_DISTANCE': 21.009549510583284},
 ('5890', 'Loc 6'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 27.18,
  'HAVERSINE_DISTANCE': 24.29302597975707},
 ('5890', 'Loc 2'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 15.19,
  'HAVERSINE_DISTANCE': 8.639979818996549},
 ('5890', 'Loc 3'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 15.29,
  'HAVERSINE_DISTANCE': 9.174962953038392},
 ('5890', 'Loc 4'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 15.41,
  'HAVERSINE_DISTANCE': 5.57480000182223},
 ('5890', 'Loc 5'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 16.11,
  'HAVERSINE_DISTANCE': 11.257380521680375},
 ('5890', 'Loc 7'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 14.4,
  'HAVERSINE_DISTANCE': 8.72086380154335},
 ('5890', 'Loc 8'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 16.26,
  'HAVERSINE_DISTANCE': 5.395359083545674},
 ('5890', 'Loc 9'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 24.66,
  'HAVERSINE_DISTANCE': 12.027439407740916},
 ('5890', 'Loc 10'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 35.09,
  'HAVERSINE_DISTANCE': 29.669919680583003},
 ('5890', '20321'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 25.13,
  'HAVERSINE_DISTANCE': 21.396959942053687},
 ('5890', '21313'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 49.4,
  'HAVERSINE_DISTANCE': 27.65415836562625},
 ('5890', '27118'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 12.0,
  'HAVERSINE_DISTANCE': 3.4452871167122883},
 ('5890', '50326'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 6.55,
  'HAVERSINE_DISTANCE': 1.401454838365717},
 ('5890', '5329'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 16.16,
  'HAVERSINE_DISTANCE': 9.700623142055479},
 ('5890', '5890'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('5890', '6611'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 37.88,
  'HAVERSINE_DISTANCE': 21.64599003197814},
 ('5890', '6835'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 11.27,
  'HAVERSINE_DISTANCE': 3.658322992446353},
 ('5890', '8932'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 22.48,
  'HAVERSINE_DISTANCE': 12.371924474300437},
 ('5890', '8967'): {'FROM_LATITUDE': 40.62103,
  'FROM_LONGITUDE': -111.85644,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 14.97,
  'HAVERSINE_DISTANCE': 5.5057459732765786},
 ('6611', 'Depot'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 25.291266804519697,
  'HAVERSINE_DISTANCE': 23.18366123747639},
 ('6611', 'Loc 1'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 14.64,
  'HAVERSINE_DISTANCE': 5.593662933603473},
 ('6611', 'Loc 6'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 50.05,
  'HAVERSINE_DISTANCE': 31.51138696814391},
 ('6611', 'Loc 2'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 36.18,
  'HAVERSINE_DISTANCE': 23.97399737632355},
 ('6611', 'Loc 3'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 38.24,
  'HAVERSINE_DISTANCE': 24.783182600602153},
 ('6611', 'Loc 4'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 47.91,
  'HAVERSINE_DISTANCE': 26.920796184466013},
 ('6611', 'Loc 5'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 38.98,
  'HAVERSINE_DISTANCE': 25.24275627047119},
 ('6611', 'Loc 7'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 41.77,
  'HAVERSINE_DISTANCE': 27.852760571275066},
 ('6611', 'Loc 8'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 40.65,
  'HAVERSINE_DISTANCE': 22.147061799350332},
 ('6611', 'Loc 9'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 47.54,
  'HAVERSINE_DISTANCE': 25.17131091977218},
 ('6611', 'Loc 10'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 57.96,
  'HAVERSINE_DISTANCE': 36.165802825875915},
 ('6611', '20321'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 48.0,
  'HAVERSINE_DISTANCE': 29.783261355226546},
 ('6611', '21313'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 72.45,
  'HAVERSINE_DISTANCE': 49.27652578646768},
 ('6611', '27118'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 47.57,
  'HAVERSINE_DISTANCE': 24.322451978696105},
 ('6611', '50326'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 39.53,
  'HAVERSINE_DISTANCE': 20.24454928864122},
 ('6611', '5329'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 33.62,
  'HAVERSINE_DISTANCE': 20.58470679339564},
 ('6611', '5890'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 42.35,
  'HAVERSINE_DISTANCE': 21.64599003197814},
 ('6611', '6611'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('6611', '6835'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 43.71,
  'HAVERSINE_DISTANCE': 23.35927346200831},
 ('6611', '8932'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 45.57,
  'HAVERSINE_DISTANCE': 31.962839560081353},
 ('6611', '8967'): {'FROM_LATITUDE': 40.65783,
  'FROM_LONGITUDE': -111.50694,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 47.48,
  'HAVERSINE_DISTANCE': 25.06589307719989},
 ('6835', 'Depot'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 4.352030376446319,
  'HAVERSINE_DISTANCE': 3.9893611784091254},
 ('6835', 'Loc 1'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 31.47,
  'HAVERSINE_DISTANCE': 21.86717798709278},
 ('6835', 'Loc 6'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 22.44,
  'HAVERSINE_DISTANCE': 21.10926107122073},
 ('6835', 'Loc 2'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 10.45,
  'HAVERSINE_DISTANCE': 5.312270745121775},
 ('6835', 'Loc 3'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 10.55,
  'HAVERSINE_DISTANCE': 5.715500450181474},
 ('6835', 'Loc 4'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 12.16,
  'HAVERSINE_DISTANCE': 6.528534304193241},
 ('6835', 'Loc 5'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 11.37,
  'HAVERSINE_DISTANCE': 7.882629671909738},
 ('6835', 'Loc 7'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 12.77,
  'HAVERSINE_DISTANCE': 5.247200796863914},
 ('6835', 'Loc 8'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 8.9,
  'HAVERSINE_DISTANCE': 2.6187763482397357},
 ('6835', 'Loc 9'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 19.92,
  'HAVERSINE_DISTANCE': 8.72668362166257},
 ('6835', 'Loc 10'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 30.34,
  'HAVERSINE_DISTANCE': 26.416491373896786},
 ('6835', '20321'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 20.39,
  'HAVERSINE_DISTANCE': 18.18500943230254},
 ('6835', '21313'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 44.83,
  'HAVERSINE_DISTANCE': 26.61636085083031},
 ('6835', '27118'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 11.82,
  'HAVERSINE_DISTANCE': 5.751587875094565},
 ('6835', '50326'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 11.08,
  'HAVERSINE_DISTANCE': 4.4174444843877945},
 ('6835', '5329'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 16.59,
  'HAVERSINE_DISTANCE': 7.457398080965655},
 ('6835', '5890'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 11.27,
  'HAVERSINE_DISTANCE': 3.658322992446353},
 ('6835', '6611'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 38.75,
  'HAVERSINE_DISTANCE': 23.35927346200831},
 ('6835', '6835'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('6835', '8932'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 18.02,
  'HAVERSINE_DISTANCE': 9.172644397218544},
 ('6835', '8967'): {'FROM_LATITUDE': 40.65951,
  'FROM_LONGITUDE': -111.88782,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 11.72,
  'HAVERSINE_DISTANCE': 8.11554955493004},
 ('8932', 'Depot'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 9.715552708036364,
  'HAVERSINE_DISTANCE': 8.9059233157},
 ('8932', 'Loc 1'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 34.77,
  'HAVERSINE_DISTANCE': 29.668297277779562},
 ('8932', 'Loc 6'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 24.11,
  'HAVERSINE_DISTANCE': 19.29548764316132},
 ('8932', 'Loc 2'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 13.74,
  'HAVERSINE_DISTANCE': 8.51948892085292},
 ('8932', 'Loc 3'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 15.74,
  'HAVERSINE_DISTANCE': 7.8644077166935435},
 ('8932', 'Loc 4'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 23.17,
  'HAVERSINE_DISTANCE': 11.00630930079573},
 ('8932', 'Loc 5'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 13.99,
  'HAVERSINE_DISTANCE': 8.794736541482562},
 ('8932', 'Loc 7'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 11.05,
  'HAVERSINE_DISTANCE': 4.121307181972308},
 ('8932', 'Loc 8'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 18.79,
  'HAVERSINE_DISTANCE': 9.823214156541754},
 ('8932', 'Loc 9'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 22.54,
  'HAVERSINE_DISTANCE': 9.553189637492565},
 ('8932', 'Loc 10'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 32.02,
  'HAVERSINE_DISTANCE': 23.72451212659166},
 ('8932', '20321'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 22.06,
  'HAVERSINE_DISTANCE': 16.61077966238486},
 ('8932', '21313'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 35.57,
  'HAVERSINE_DISTANCE': 20.883931958621876},
 ('8932', '27118'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 22.83,
  'HAVERSINE_DISTANCE': 12.461213698584828},
 ('8932', '50326'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 20.98,
  'HAVERSINE_DISTANCE': 13.454618335772565},
 ('8932', '5329'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 19.88,
  'HAVERSINE_DISTANCE': 12.48320240295647},
 ('8932', '5890'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 21.17,
  'HAVERSINE_DISTANCE': 12.371924474300437},
 ('8932', '6611'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 42.04,
  'HAVERSINE_DISTANCE': 31.962839560081353},
 ('8932', '6835'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 18.97,
  'HAVERSINE_DISTANCE': 9.172644397218544},
 ('8932', '8932'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0},
 ('8932', '8967'): {'FROM_LATITUDE': 40.70575,
  'FROM_LONGITUDE': -112.02445,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 22.74,
  'HAVERSINE_DISTANCE': 14.289855241394141},
 ('8967', 'Depot'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.7084185,
  'TO_LONGITUDE': -111.87917100000001,
  'DRIVE_MINUTES': 13.194736572283036,
  'HAVERSINE_DISTANCE': 12.095175191259449},
 ('8967', 'Loc 1'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.72209,
  'TO_LONGITUDE': -111.54077,
  'DRIVE_MINUTES': 36.09,
  'HAVERSINE_DISTANCE': 25.362819211730358},
 ('8967', 'Loc 6'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.92062,
  'TO_LONGITUDE': -111.88716,
  'DRIVE_MINUTES': 27.73,
  'HAVERSINE_DISTANCE': 29.218605072300324},
 ('8967', 'Loc 2'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.72522,
  'TO_LONGITUDE': -111.88781000000002,
  'DRIVE_MINUTES': 15.74,
  'HAVERSINE_DISTANCE': 13.424151095485716},
 ('8967', 'Loc 3'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.7296,
  'TO_LONGITUDE': -111.90002,
  'DRIVE_MINUTES': 15.84,
  'HAVERSINE_DISTANCE': 13.777319755503276},
 ('8967', 'Loc 4'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.58741,
  'TO_LONGITUDE': -111.93574,
  'DRIVE_MINUTES': 9.25,
  'HAVERSINE_DISTANCE': 3.421839476125999},
 ('8967', 'Loc 5'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.75673,
  'TO_LONGITUDE': -111.89763,
  'DRIVE_MINUTES': 16.66,
  'HAVERSINE_DISTANCE': 15.967342464229274},
 ('8967', 'Loc 7'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.69623,
  'TO_LONGITUDE': -111.95839,
  'DRIVE_MINUTES': 15.88,
  'HAVERSINE_DISTANCE': 11.755349060031394},
 ('8967', 'Loc 8'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.68737,
  'TO_LONGITUDE': -111.86603,
  'DRIVE_MINUTES': 17.39,
  'HAVERSINE_DISTANCE': 10.501291452016838},
 ('8967', 'Loc 9'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.76742,
  'TO_LONGITUDE': -111.89142,
  'DRIVE_MINUTES': 25.21,
  'HAVERSINE_DISTANCE': 16.83097290890184},
 ('8967', 'Loc 10'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.98588,
  'TO_LONGITUDE': -111.90886,
  'DRIVE_MINUTES': 35.64,
  'HAVERSINE_DISTANCE': 34.503114290074286},
 ('8967', '20321'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.88444000000001,
  'TO_LONGITUDE': -111.89048,
  'DRIVE_MINUTES': 25.68,
  'HAVERSINE_DISTANCE': 26.291487167609983},
 ('8967', '21313'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.55148,
  'TO_LONGITUDE': -112.29746000000002,
  'DRIVE_MINUTES': 50.13,
  'HAVERSINE_DISTANCE': 24.7806863519287},
 ('8967', '27118'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.58846,
  'TO_LONGITUDE': -111.89264,
  'DRIVE_MINUTES': 6.97,
  'HAVERSINE_DISTANCE': 2.3640858897121206},
 ('8967', '50326'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.62337,
  'TO_LONGITUDE': -111.83381,
  'DRIVE_MINUTES': 13.31,
  'HAVERSINE_DISTANCE': 6.371918230903501},
 ('8967', '5329'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.73869000000001,
  'TO_LONGITUDE': -111.8254,
  'DRIVE_MINUTES': 21.65,
  'HAVERSINE_DISTANCE': 15.10794267714493},
 ('8967', '5890'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.62103,
  'TO_LONGITUDE': -111.85644,
  'DRIVE_MINUTES': 13.49,
  'HAVERSINE_DISTANCE': 5.5057459732765786},
 ('8967', '6611'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.65783,
  'TO_LONGITUDE': -111.50694,
  'DRIVE_MINUTES': 43.37,
  'HAVERSINE_DISTANCE': 25.06589307719989},
 ('8967', '6835'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.65951,
  'TO_LONGITUDE': -111.88782,
  'DRIVE_MINUTES': 11.82,
  'HAVERSINE_DISTANCE': 8.11554955493004},
 ('8967', '8932'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.70575,
  'TO_LONGITUDE': -112.02445,
  'DRIVE_MINUTES': 23.31,
  'HAVERSINE_DISTANCE': 14.289855241394141},
 ('8967', '8967'): {'FROM_LATITUDE': 40.55924,
  'FROM_LONGITUDE': -111.89415,
  'TO_LATITUDE': 40.55924,
  'TO_LONGITUDE': -111.89415,
  'DRIVE_MINUTES': 0.0,
  'HAVERSINE_DISTANCE': 0.0}}

depot = convert_dictionary_to_pandas(depot)
depot.rename(columns={'index': 'LOCATION_NAME'}, inplace=True)

locations = convert_dictionary_to_pandas(locations)
locations.rename(columns={'index': 'LOCATION_NAME'}, inplace=True)

transportation_matrix = convert_dictionary_to_pandas(transportation_matrix)
transportation_matrix.rename(columns={'level_0': 'FROM_LOCATION_NAME',
                                      'level_1': 'TO_LOCATION_NAME'}, inplace=True)

vehicles = convert_dictionary_to_pandas(vehicles)
vehicles.rename(columns={'index': 'VEHICLE_NAME'}, inplace=True)
